define lxd::image (
  Enum[container, virtual-machine] $type = 'container',
  Optional[String] $remote_source   = undef,
  Optional[String] $lxc_remote_name = undef,
  Boolean          $copy_aliases    = false,
) {
  lxd_image { $name:
    type            => $type,
    remote_source   => $remote_source,
    lxc_remote_name => $lxc_remote_name,
    copy_aliases    => $copy_aliases,
  }
}
